define(["dojo/_base/declare", "dijit/form/ValidationTextBox", "./TextBoxVisBidi", "dojox/string/BidiEngine"], function(declare, validationText ,bidiText, BidiEngine){
	var bidiEngine = new BidiEngine();
	return declare("bidi.ValidationTextBoxVisBidi",[validationText, bidiText],{
		isValid: function(/*Boolean*/ /*===== isFocused =====*/){
			if(this.isVisualMode) {
				var text = this.getValue();
				if(this.dir == "rtl")
					text = this.reverseRtlText(text);

				text = bidiEngine.bidiTransform(text, "VLYNN", "ILNNN");
				return this.validator(text, this.get('constraints'));
			}
			else 
				return this.inherited(arguments);
		}
	});
}); 