<!DOCTYPE HTML>

<%@ page contentType="text/html; charset=utf-8"%>
<%@ page language="java" %>
<%@ page import="com.ibm.hats.util.*, com.ibm.hats.runtime.admin.*"%>
<%@ taglib uri="/WEB-INF/tld/hatsadmin.tld" prefix="admin" %>

<% 
	// Get the msgs object for generating messages and get the bean from the session
	// for obtaining all the required information

	HatsMsgs msgs = HATSAdminServlet.getMessages(request);
	HATSAdminBean bean = (HATSAdminBean)session.getAttribute(HATSAdminConstants.BEAN_ID);
	HATSAdminHelpManager manager = bean.getHelpManager();
	String topicID = manager.getTopicID();
	String helpKey = "KEY_HELP_" + topicID;
	String direction = "LTR";
    boolean isRTL = false;	//add this to avoid dead code
    if (isRTL)   // Change this to a check for bidi languages
    	direction = "RTL";    
%>
<HTML dir="<%= direction%>" lang="<%= msgs.get("KEY_ADMIN_LANG")%>" >
<HEAD>
<title><%= msgs.get("KEY_HELP") %> - <%= msgs.get("KEY_" + topicID) %></title>
<meta charset="UTF-8">
<LINK rel="stylesheet" href="css/hatsadmin.css" type="text/css">

</HEAD>

<body>

<% out.println(manager.getMessageBySecurityRole(helpKey)); %>

</body>
</html>


