<!DOCTYPE HTML>

<%@ page import="com.ibm.hats.runtime.connmgr.WebsphereUtil"%>
<%@ page contentType="text/html; charset=utf-8"%>
<%@ page language="java" %>
<%@ page import="com.ibm.hats.util.*, com.ibm.hats.runtime.admin.*"%>
<%@ taglib uri="/WEB-INF/tld/hatsadmin.tld" prefix="admin" %>

<% 
	// Get the msgs object for generating messages and get the bean from the session
	// for obtaining all the required information

	HatsMsgs msgs = HATSAdminServlet.getMessages(request);
	HATSAdminBean bean = (HATSAdminBean)session.getAttribute(HATSAdminConstants.BEAN_ID);
	HATSAdminScopeManager manager = bean.getScopeManager(); // ScopeManager contains all the logic for scope management
	String function = HATSAdminConstants.FUNCTION_SELECT_JVM;
	int numDataItems = manager.getNumJvms();
	int start = manager.getStartJVM();
	int finish = manager.getNumJvms() - 1;
	int total = numDataItems;
	String unsortedImage = "<img src=\"images/sort_none.gif\" alt = \" width=\"9\"  height=\"13\" " + msgs.get("KEY_CLICK_TO_SORT") + "\">";
		/* Calculate the sorting preference and order */
	int sortOrder = bean.getScopeManager().getSortOrderForApplicationPanel();
  	int descending = sortOrder % 2;
  	String modifier = null;
  	String alt = " alt=\"";
  	if (descending == 1) {
  		modifier = "descend";
  		alt += msgs.get("KEY_DESCENDING") + "\"";
  	} else {
  		modifier = "ascend";
  		alt += msgs.get("KEY_ASCENDING") + "\"";
  	}
  	sortOrder = sortOrder - descending;
  	/* end of sorting calculations */
	
	String direction = "LTR";
    boolean isRTL = false;	//add this to avoid dead code
    if (isRTL)   // Change this to a check for bidi languages
    	direction = "RTL";    
%>
<HTML dir="<%= direction%>" lang="<%= msgs.get("KEY_ADMIN_LANG")%>" >
<HEAD>
<title><%= msgs.get("KEY_SELECT_JVM") %></title>
<meta charset="UTF-8">
<LINK rel="stylesheet" href="css/hatsadmin.css" type="text/css">
</HEAD>

<body>
<form method="post" action="<%= response.encodeURL("admin")%>"><input type="hidden"
	name="<%=HATSAdminConstants.PARAM_FUNCTION%>"
	value="<%=HATSAdminConstants.FUNCTION_SELECT_JVM%>"> 

<admin:UserMessage />

<!--This is the instructions table and is independent of the other page content and contains the page heading and the instructions for the page -->
<table border=1 style="width:95%;cellspacing:1; cellpadding:4">
	<tr class="header">
		<td><%= msgs.get("KEY_SELECT_JVM") %></td>
	</tr>
	<tr>
		<td class="instructions"><%= msgs.get("KEY_INSTRUCTIONS_SELECT_JVM") %> <admin:HelpLink topicID="SELECT_JVM"/> </td>
	</tr>
</table>
<!--End of the instructions table-->

<p><!-- This is the envelope for everything else on the page. It contains a single row and single cell -->
<table class="layout-manager" style="cellspacing:0; cellpadding:10;width:95%">
	<tr>
		<td>

		<admin:Scope />




		<admin:BrowseButtons function="<%=function%>" start="<%=start%>" finish="<%=finish%>" total="<%=total%>" />

		<table class="data-table"style="width:100%; cellspacing:1; cellpadding:4" border="1" summary=<%= msgs.get("KEY_INSTRUCTIONS_SELECT_JVM") %>>
			<caption><%= msgs.get("KEY_APPLICATIONS_CAPTION") %></caption>
	
		 <!-- start of data table -->
			<tr class="columnheader"> <!-- Row for all the column headers -->

				<% if(numDataItems > 0) { // Extra td needed for checkbox, radio etc %>
				<th width=1%></th>
				<% } %>
				<th ><a	href="<%=response.encodeURL("admin?" + HATSAdminConstants.PARAM_FUNCTION + "=" + HATSAdminConstants.FUNCTION_SELECT_JVM + "&" + HATSAdminConstants.PARAM_OPERATION + "=" + HATSAdminConstants.OPERATION_SORT + "&" + HATSAdminConstants.PARAM_SORT + "=" + manager.SORT_APP_APPNAME)%>"
					title="<%=msgs.get("KEY_APPNAME")%>"> <%=msgs.get("KEY_APPNAME")%></a><%=(sortOrder == manager.SORT_APP_APPNAME? "<img src=\"images/sort_" + modifier + ".gif\" width=\"9\"  height=\"13\" "  + alt + ">" : unsortedImage)%></th>
				<th ><a
					href="<%=response.encodeURL("admin?" + HATSAdminConstants.PARAM_FUNCTION + "=" + HATSAdminConstants.FUNCTION_SELECT_JVM + "&" + HATSAdminConstants.PARAM_OPERATION + "=" + HATSAdminConstants.OPERATION_SORT + "&" + HATSAdminConstants.PARAM_SORT + "=" + manager.SORT_APP_APPSERVERNAME)%>"
					title="<%=msgs.get("KEY_APPSERVERNAME")%>"> <%=msgs.get("KEY_APPSERVERNAME")%></a><%=(sortOrder == manager.SORT_APP_APPSERVERNAME ? "<img src=\"images/sort_" + modifier + ".gif\" width=\"9\"  height=\"13\" "  + alt + ">": unsortedImage)%></th>
				<% // #41305 SR1 - do not display node name and cell name incase of Weblogic
				if(WebsphereUtil.isWASEnv()){ %>
				<th ><a
					href="<%=response.encodeURL("admin?" + HATSAdminConstants.PARAM_FUNCTION + "=" + HATSAdminConstants.FUNCTION_SELECT_JVM + "&" + HATSAdminConstants.PARAM_OPERATION + "=" + HATSAdminConstants.OPERATION_SORT + "&" + HATSAdminConstants.PARAM_SORT + "=" + manager.SORT_APP_NODENAME)%>"
					title="<%=msgs.get("KEY_NODENAME")%>"> <%=msgs.get("KEY_NODENAME")%></a><%=(sortOrder == manager.SORT_APP_NODENAME ? "<img src=\"images/sort_" + modifier + ".gif\" width=\"9\"  height=\"13\" "  + alt + ">": unsortedImage)%></th>
			    
			    <th ><a	href="<%=response.encodeURL("admin?" + HATSAdminConstants.PARAM_FUNCTION + "=" + HATSAdminConstants.FUNCTION_SELECT_JVM + "&" + HATSAdminConstants.PARAM_OPERATION + "=" + HATSAdminConstants.OPERATION_SORT + "&" + HATSAdminConstants.PARAM_SORT + "=" + manager.SORT_APP_CELLNAME)%>"
					title="<%=msgs.get("KEY_CELLNAME")%>"> <%=msgs.get("KEY_CELLNAME")%></a><%=(sortOrder == manager.SORT_APP_CELLNAME ? "<img src=\"images/sort_" + modifier + ".gif\" width=\"9\"  height=\"13\" " + alt + ">" : unsortedImage)%></th>
				<%} %>

	</tr>   <!-- end of the column-header row -->
<!-- Start of the data in the data table -->
<% 
if (numDataItems==0)  
{ %>
			<tr class="evenrow">
				<td colspan=4><%= msgs.get("KEY_NONE") %></td>
			</tr>
			<%
}

else  { 
	boolean checkedFlag=false;
	for (int i = start; i < manager.getNumApplications(); i++) {  //start of for loop for displaying the data

	 if (manager.isClustered(i) == false)  { 
	    if (!manager.isManagingClusteredApplication() || (manager.isManagingClusteredApplication() && manager.getCurrentClusterName().equals(manager.getAppName(i)))) {
		if (i % 2 == 0) {%>
			<tr class="evenrow">
				<%} else {%>
			<tr class="oddrow">
				<%}%> 
				<td > <label for="<%="input" + i %>" ><input id="<%="input" + i %>"
					name="<%= HATSAdminConstants.PARAM_SELECTED_JVM %>"
					value="<%= HATSAdminBean.encode(manager.getAdminServerName(i)) %>"
					type="radio" 
					<% if (!checkedFlag) { %> checked 
					<% checkedFlag=true;
					} %>>
					<span style="display:none" > <%=manager.getAppName(i) + " : " + manager.getAppServerName(i)
												 + " : " + manager.getNodeName(i) + " : " + manager.getCellName(i) %> </span>
					</label>
				</td>
				
				<td> <%= manager.getAppName(i) %></td>
				<td> <%= manager.getAppServerName(i) %></td>
				<% // #41305 SR1 - do not display node and cellname in case of weblogic
				if(WebsphereUtil.isWASEnv()){ %>
				<td> <%= manager.getNodeName(i) %></td>
				<td> <%= manager.getCellName(i) %></td>
				<%} }  %>
				
			</tr>
			<%}
			   }%>
			

			<!-- end of data rows in the data table -->
		</table>
		<!-- end of the data table -->



		<!-- start of data-footer table with any buttons if needed -->
		<table class="data-footer" style="width:100%; cellspacing:1; cellpadding:7">
			<tr>
				<td><input class="button" type="SUBMIT"
					name="<%=HATSAdminConstants.OPERATION_OK%>"
					value="<%=msgs.get("KEY_OK")%>"> <input class="button"
					type="SUBMIT" name="<%=HATSAdminConstants.OPERATION_CANCEL%>"
					value="<%=msgs.get("KEY_CANCEL")%>"></td>
			</tr>
		</table>
		<!-- end of data-footer table -->

		<% }  // end of (numDataItems !=0)  %>
		</td>
	</tr>
</table> <!-- End of the layout manager table-->
</form>
</body>
</html>


